MrDeepFakes Forums
  • New and improved dark forum theme!
  • Guests can now comment on videos on the tube.
   
Fappenberg(outdated) DFL 1.0 SAE+ MOD.
#21
(12-16-2019, 09:36 AM)fapper93 Wrote: You are not allowed to view links. Register or Login to view.I updated SAE+ with the changes iperov did with SAEHD and Quick96...

"improved model generalization, overall accuracy and sharpness
by using new 'Learning rate dropout' technique from paper You are not allowed to view links. Register or Login to view.
An example of a loss histogram where this function is enabled after the red arrow:
You are not allowed to view links. Register or Login to view."

Requires at least Dec 11, 2019 version of DeepFaceLab

Keep in mind the changes make the model run slower and uses more vram.
Is the new version saved model compatible, or are we supposed to make new models for this?
#22
(12-16-2019, 06:31 PM)sionatlasia Wrote: You are not allowed to view links. Register or Login to view.
(12-16-2019, 09:36 AM)fapper93 Wrote: You are not allowed to view links. Register or Login to view.I updated SAE+ with the changes iperov did with SAEHD and Quick96...

"improved model generalization, overall accuracy and sharpness
by using new 'Learning rate dropout' technique from paper You are not allowed to view links. Register or Login to view.
An example of a loss histogram where this function is enabled after the red arrow:
You are not allowed to view links. Register or Login to view."

Requires at least Dec 11, 2019 version of DeepFaceLab

Keep in mind the changes make the model run slower and uses more vram.
Is the new version saved model compatible, or are we supposed to make new models for this?

Yes it will work with previous versions
#23
256 res models on an 8gb card you say?
Hmmm...
#24
(12-20-2019, 06:13 AM)frosty3907 Wrote: You are not allowed to view links. Register or Login to view.256 res models on an 8gb card you say?
Hmmm...

Only if you drop dims a lot on LIAE model, for DF you'll prob need to drop to 192res, default dims.


I updated the file to include the option to disable lr_dropout with a toggle on/off.  Works for Dec 20, 2018 version of DeepFaceLab.
#25
(12-21-2019, 11:25 PM)fapper93 Wrote: You are not allowed to view links. Register or Login to view.
(12-20-2019, 06:13 AM)frosty3907 Wrote: You are not allowed to view links. Register or Login to view.256 res models on an 8gb card you say?
Hmmm...

Only if you drop dims a lot on LIAE model, for DF you'll prob need to drop to 192res, default dims.


I updated the file to include the option to disable lr_dropout with a toggle on/off.  Works for Dec 20, 2018 version of DeepFaceLab.

I'm giving it a crack on a 1080ti
21/18 dims though so not sure it will ever resolve
#26
Just tried updating SAE+ model with 12/22 version, but it seems to fail after the following

Error: 'SAEModel' object has no attribute 'src_scale_mod'
Traceback (most recent call last):
File "/content/DeepFaceLab/mainscripts/Trainer.py", line 50, in trainerThread
device_args=device_args)
File "/content/DeepFaceLab/models/ModelBase.py", line 145, in __init__
self.onInitialize()
File "/content/DeepFaceLab/models/Model_SAE/Model.py", line 562, in onInitialize
sample_process_options=SampleProcessor.Options(random_flip=self.random_flip, scale_range=np.array([-0.05, 0.05])+self.src_scale_mod / 100.0 ),
AttributeError: 'SAEModel' object has no attribute 'src_scale_mod'



Any Idea why this might be happening??
#27
(12-22-2019, 09:42 AM)sionatlasia Wrote: You are not allowed to view links. Register or Login to view.Just tried updating SAE+ model with 12/22 version, but it seems to fail after the following

Error: 'SAEModel' object has no attribute 'src_scale_mod'
Traceback (most recent call last):
 File "/content/DeepFaceLab/mainscripts/Trainer.py", line 50, in trainerThread
   device_args=device_args)
 File "/content/DeepFaceLab/models/ModelBase.py", line 145, in __init__
   self.onInitialize()
 File "/content/DeepFaceLab/models/Model_SAE/Model.py", line 562, in onInitialize
   sample_process_options=SampleProcessor.Options(random_flip=self.random_flip, scale_range=np.array([-0.05, 0.05])+self.src_scale_mod / 100.0 ),
AttributeError: 'SAEModel' object has no attribute 'src_scale_mod'



Any Idea why this might be happening??

Because DeepFaceLab was updated today to remove src_scale_mod and the model still had it.  I updated it to Dec22 changes, should work now.
#28
(12-22-2019, 12:12 PM)fapper93 Wrote: You are not allowed to view links. Register or Login to view.
(12-22-2019, 09:42 AM)sionatlasia Wrote: You are not allowed to view links. Register or Login to view.Just tried updating SAE+ model with 12/22 version, but it seems to fail after the following

Error: 'SAEModel' object has no attribute 'src_scale_mod'
Traceback (most recent call last):
 File "/content/DeepFaceLab/mainscripts/Trainer.py", line 50, in trainerThread
   device_args=device_args)
 File "/content/DeepFaceLab/models/ModelBase.py", line 145, in __init__
   self.onInitialize()
 File "/content/DeepFaceLab/models/Model_SAE/Model.py", line 562, in onInitialize
   sample_process_options=SampleProcessor.Options(random_flip=self.random_flip, scale_range=np.array([-0.05, 0.05])+self.src_scale_mod / 100.0 ),
AttributeError: 'SAEModel' object has no attribute 'src_scale_mod'



Any Idea why this might be happening??

Because DeepFaceLab was updated today to remove src_scale_mod and the model still had it.  I updated it to Dec22 changes, should work now.

I just tested it out, and the below seems to occur in colab Big Grin

During handling of the above exception, another exception occurred:



Traceback (most recent call last):

  File "/usr/lib/python3.6/multiprocessing/process.py", line 258, in _bootstrap

    self.run()

  File "/usr/lib/python3.6/multiprocessing/process.py", line 93, in run

    self._target(*self._args, **self._kwargs)

  File "/content/DeepFaceLab/utils/iter_utils.py", line 49, in process_func

    gen_data = next (self.generator_func)

  File "/content/DeepFaceLab/samplelib/SampleGeneratorFace.py", line 85, in batch_func

    raise Exception ("Exception occured in sample %s. Error: %s" % (sample.filename, traceback.format_exc() ) )

Exception: Exception occured in sample /content/workspace/data_dst/aligned/07017_0.jpg. Error: Traceback (most recent call last):

  File "/content/DeepFaceLab/samplelib/SampleGeneratorFace.py", line 83, in batch_func

    x, = SampleProcessor.process ([sample], self.sample_process_options, self.output_sample_types, self.debug, ct_sample=ct_sample)

  File "/content/DeepFaceLab/samplelib/SampleProcessor.py", line 102, in process

    sample_bgr = sample.load_bgr()

  File "/content/DeepFaceLab/samplelib/Sample.py", line 78, in load_bgr

    img = cv2_imread (self.filename, loader_func=self.read_raw_file).astype(np.float32) / 255.0

AttributeError: 'NoneType' object has no attribute 'astype'



/usr/lib/python3.6/multiprocessing/semaphore_tracker.py:143: UserWarning: semaphore_tracker: There appear to be 1 leaked semaphores to clean up at shutdown

  len(cache))

/usr/lib/python3.6/multiprocessing/semaphore_tracker.py:143: UserWarning: semaphore_tracker: There appear to be 1 leaked semaphores to clean up at shutdown
  len(cache))



Not sure whether this is colab problem; Sorry for the bother
#29
(12-22-2019, 07:23 PM)sionaThat Wrote: You are not allowed to view links. Register or Login to view.Traceback (most recent call last):

  File "/usr/lib/python3.6/multiprocessing/process.py", line 258, in _bootstrap

    self.run()

  File "/usr/lib/python3.6/multiprocessing/process.py", line 93, in run

    self._target(*self._args, **self._kwargs)

  File "/content/DeepFaceLab/utils/iter_utils.py", line 49, in process_func

    gen_data = next (self.generator_func)

  File "/content/DeepFaceLab/samplelib/SampleGeneratorFace.py", line 85, in batch_func

    raise Exception ("Exception occured in sample %s. Error: %s" % (sample.filename, traceback.format_exc() ) )

Exception: Exception occured in sample /content/workspace/data_dst/aligned/07017_0.jpg. Error: Traceback (most recent call last):

  File "/content/DeepFaceLab/samplelib/SampleGeneratorFace.py", line 83, in batch_func

    x, = SampleProcessor.process ([sample], self.sample_process_options, self.output_sample_types, self.debug, ct_sample=ct_sample)

  File "/content/DeepFaceLab/samplelib/SampleProcessor.py", line 102, in process

    sample_bgr = sample.load_bgr()

  File "/content/DeepFaceLab/samplelib/Sample.py", line 78, in load_bgr

    img = cv2_imread (self.filename, loader_func=self.read_raw_file).astype(np.float32) / 255.0

AttributeError: 'NoneType' object has no attribute 'astype'



/usr/lib/python3.6/multiprocessing/semaphore_tracker.py:143: UserWarning: semaphore_tracker: There appear to be 1 leaked semaphores to clean up at shutdown

  len(cache))

/usr/lib/python3.6/multiprocessing/semaphore_tracker.py:143: UserWarning: semaphore_tracker: There appear to be 1 leaked semaphores to clean up at shutdown
  len(cache))



Not sure whether this is colab problem; Sorry for the bother

That is an issue with DeepFaceLab itself, iperov is currently pushing changes and applying fixes. If you need a stable release, on colab you can edit the link to import the dec21 build on GitHub.

Forum Jump:

Users browsing this thread: 1 Guest(s)